<?php

/**
 * Amibios controller.
 *
 * @category   apps
 * @package    amibios
 * @subpackage controllers
 * @author     ClearCenter <developer@clearcenter.com>
 * @copyright  2018 ClearCenter
 * @license    http://www.clearcenter.com/app_license ClearCenter license
 * @link       http://www.clearcenter.com/support/documentation/clearos/amibios/
 */

///////////////////////////////////////////////////////////////////////////////
// C L A S S
///////////////////////////////////////////////////////////////////////////////

/**
 * Amibios controller.
 *
 * @category   apps
 * @package    amibios
 * @subpackage controllers
 * @author     ClearCenter <developer@clearcenter.com>
 * @copyright  2018 ClearCenter
 * @license    http://www.clearcenter.com/app_license ClearCenter license
 * @link       http://www.clearcenter.com/support/documentation/clearos/amibios/
 */

class Amibios extends ClearOS_Controller
{
    /**
     * Returns configuration data.
     *
     * @return view
     */

    function index()
    {
        // Load dependencies
        //------------------

        $this->lang->load('amibios');

        try {
            $this->load->library('amibios/Amibios_Library');

        } catch (Exception $e) {
            $this->page->view_form('amibios/restart_required', NULL, lang('amibios_app_name'));
            //$this->page->view_exception($e);
            return;
        }

        // Load view data
        //---------------
        try {
            $available = $this->amibios_library->get_availability();
            $utility_available = $this->amibios_library->get_utility_availability();
            $status = $this->amibios_library->get_status();
        } catch (Engine_Engine_Exception $e) {
            $this->page->view_exception($e);
            return;
        }

        // Load views
        //-----------

        if ($available) {
            if ($utility_available)
                $controllers = array('amibios/firmware_info', 'amibios/firmware');
            else
                $controllers = array('amibios/firmware');

            $this->page->view_controllers($controllers, lang('amibios_app_name'));
        } else {
            $this->page->view_form('amibios/unavailable', NULL, lang('amibios_app_name'));
        }
    }

    /**
     * Performs force restart
     * @return view
     */
    function force_restart()
    {
        // Load dependencies
        //------------------

        $this->lang->load('base');
        $this->load->library('base/System');

        $this->page->set_message(lang('base_system_is_restarting'), 'warning');
        $this->system->restart();

        redirect('/base/shutdown/status');
    }
}
