<?php

/**
 * Amibios firmware info controller.
 *
 * @category   apps
 * @package    amibios
 * @subpackage controllers
 * @author     ClearCenter <developer@clearcenter.com>
 * @copyright  2018 ClearCenter
 * @license    http://www.clearcenter.com/app_license ClearCenter license
 * @link       http://www.clearcenter.com/support/documentation/clearos/amibios/
 */

///////////////////////////////////////////////////////////////////////////////
// C L A S S
///////////////////////////////////////////////////////////////////////////////

/**
 * Amibios firmware info controller.
 *
 * @category   apps
 * @package    amibios
 * @subpackage controllers
 * @author     ClearCenter <developer@clearcenter.com>
 * @copyright  2018 ClearCenter
 * @license    http://www.clearcenter.com/app_license ClearCenter license
 * @link       http://www.clearcenter.com/support/documentation/clearos/amibios/
 */

class Firmware_Info extends ClearOS_Controller
{
    /**
     * Returns configuration data.
     *
     * @return view
     */

    function index()
    {
        // Load dependencies
        //------------------

        $this->lang->load('amibios');
        $this->load->library('amibios/Amibios_Library');

        // Load view data
        //---------------

        try {
            $available = $this->amibios_library->get_availability();
        } catch (Engine_Engine_Exception $e) {
            $this->page->view_exception($e);
            return;
        }

        // Load views
        //-----------

        $this->page->view_form('amibios/firmware_info', $data, lang('amibios_firmware_info'));
    }
}
