<?php

/**
 * Amibios listing view.
 *
 * @category   apps
 * @package    amibios
 * @subpackage views
 * @author     ClearCenter <developer@clearcenter.com>
 * @copyright  2018 ClearCenter
 * @license    http://www.clearcenter.com/app_license ClearCenter license
 * @link       http://www.clearcenter.com/support/documentation/clearos/amibios/
 */

///////////////////////////////////////////////////////////////////////////////
// Load dependencies
///////////////////////////////////////////////////////////////////////////////

$this->lang->load('amibios');
$this->lang->load('base');

///////////////////////////////////////////////////////////////////////////////
// Headers
///////////////////////////////////////////////////////////////////////////////

$headers = array(
    lang('base_filename'),
    lang('amibios_firmware_id'),
    lang('base_size'),
);

$anchors = array(anchor_custom('/app/amibios/firmware/add', lang('amibios_firmware_add_zip_package')));

///////////////////////////////////////////////////////////////////////////////
// Items
///////////////////////////////////////////////////////////////////////////////

$items = [];

foreach ($listing as $firmware => $details) {
    $buttons = array(
        anchor_custom('/app/amibios/firmware/install/' . $firmware, lang('base_install')),
        anchor_delete('/app/amibios/firmware/delete/' . $firmware)
    );

    $item['title'] = $firmware;
    $item['action'] = '/app/amibios/firmware/delete/' . $firmware;
    $item['anchors'] = button_set($buttons);
    $item['details'] = array(
        $firmware,
        $details['firmware_id'],
        byte_format($details['size']),
    );

    $items[] = $item;
}

sort($items);

///////////////////////////////////////////////////////////////////////////////
// Summary table
///////////////////////////////////////////////////////////////////////////////

$options['default_rows'] = 50;

echo summary_table(
    lang('amibios_uploaded_firmware'),
    $anchors,
    $headers,
    $items,
    $options
);
